Package qsardes.descriptor

# Class DescriptorElectrTopolStateIndex

java.lang.Object
qsardes.descriptor.DescriptorElectrTopolStateIndex

All Implemented Interfaces:
  `Descriptor`

Direct Known Subclasses:
  `QsarMEElectrTopolStateIndex`, `QsarWBElectrTopolStateIndex`

public abstract class DescriptorElectrTopolStateIndex extends Object implements Descriptor
Electrotopological state index descriptors abstract class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DescriptorElectrTopolStateIndex()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract Map<String,String>`
  `create_descr_max_map()`
  `protected abstract Map<String,String>`
  `create_descr_min_map()`
  `protected List<String>`
  `get_all_misc_name_list()`
  `protected Map<String,List<String>>`
  `get_chem_estate_values_map()`
  `List<String>`
  `get_descriptor_names()`
  Gets descriptors names.
  `DescriptorType`
  `get_descriptor_type()`
  Gets the descriptor class type.
  `Map<String,String>`
  `get_descriptor_values(AbstractMoleculeBuilder mol_build)`
  Calculates descriptors values.
  `protected abstract Molecule.IntrState`
  `get_intrinsic_state(Molecule mol, org.openscience.cdk.interfaces.IAtom atom)`
  `protected abstract double`
  `get_max()`
  `protected abstract double`
  `get_max_estate(double gmax, double estate, boolean is_first_value)`
  `protected Map<String,String>`
  `get_max_out_map()`
  `protected abstract double`
  `get_min()`
  `protected abstract double`
  `get_min_estate(double gmin, double estate, boolean is_first_value)`
  `protected Map<String,String>`
  `get_min_out_map()`
  `protected String`
  `get_original_kier_name(String ematch_name)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DescriptorElectrTopolStateIndex

    protected DescriptorElectrTopolStateIndex()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### get_descriptor_type

    public DescriptorType get_descriptor_type()
    Description copied from interface: `Descriptor`
    Gets the descriptor class type.
    Specified by:
      `get_descriptor_type` in interface `Descriptor`
    Returns:
      Descriptor class type.

  - ### get_descriptor_names

    public List<String> get_descriptor_names()
    Description copied from interface: `Descriptor`
    Gets descriptors names.
    Specified by:
      `get_descriptor_names` in interface `Descriptor`
    Returns:
      Descriptor names.

  - ### get_descriptor_values

    public Map<String,String> get_descriptor_values(AbstractMoleculeBuilder mol_build)
    Description copied from interface: `Descriptor`
    Calculates descriptors values.
    Specified by:
      `get_descriptor_values` in interface `Descriptor`
    Parameters:
      `mol_build` - Molecular builder representation.
    Returns:
      Descriptor values mapped as name:value.

  - ### get_min

    protected abstract double get_min()

  - ### get_max

    protected abstract double get_max()

  - ### get_min_estate

    protected abstract double get_min_estate(double gmin, double estate, boolean is_first_value)

  - ### get_max_estate

    protected abstract double get_max_estate(double gmax, double estate, boolean is_first_value)

  - ### create_descr_min_map

    protected abstract Map<String,String> create_descr_min_map()

  - ### create_descr_max_map

    protected abstract Map<String,String> create_descr_max_map()

  - ### get_intrinsic_state

    protected abstract Molecule.IntrState get_intrinsic_state(Molecule mol, org.openscience.cdk.interfaces.IAtom atom)

  - ### get_original_kier_name

    protected String get_original_kier_name(String ematch_name)

  - ### get_all_misc_name_list

    protected List<String> get_all_misc_name_list()

  - ### get_min_out_map

    protected Map<String,String> get_min_out_map()

  - ### get_max_out_map

    protected Map<String,String> get_max_out_map()

  - ### get_chem_estate_values_map

    protected Map<String,List<String>> get_chem_estate_values_map()